curl --request PUT \
--url https://api.production.orderprotection.com/v1/orders/{sourceOrderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceOrderNumber": "#634C",
"currency": "USD",
"policyCancelledAt": "2024-03-20T12:00:00.000Z",
"originalSourceOrderId": "12345",
"sourceCreatedAt": "2000-05-15T21:00:00.000Z",
"sourceUpdatedAt": "2000-05-15T21:00:00.000Z",
"sourceCancelledAt": "2000-05-15T21:00:00.000Z",
"platformId": "api",
"premiumPaid": 1.5,
"total": 15.4,
"discountTotal": 1.2,
"shippingCost": 3.5,
"tax": 0.55,
"subtotal": 11.3,
"customerEmail": "john@doe.com",
"customerName": "John",
"customerPhone": "+1-555-796-3644",
"shippingCostTax": 234
}
'import requests
url = "https://api.production.orderprotection.com/v1/orders/{sourceOrderId}"
payload = {
"sourceOrderNumber": "#634C",
"currency": "USD",
"policyCancelledAt": "2024-03-20T12:00:00.000Z",
"originalSourceOrderId": "12345",
"sourceCreatedAt": "2000-05-15T21:00:00.000Z",
"sourceUpdatedAt": "2000-05-15T21:00:00.000Z",
"sourceCancelledAt": "2000-05-15T21:00:00.000Z",
"platformId": "api",
"premiumPaid": 1.5,
"total": 15.4,
"discountTotal": 1.2,
"shippingCost": 3.5,
"tax": 0.55,
"subtotal": 11.3,
"customerEmail": "john@doe.com",
"customerName": "John",
"customerPhone": "+1-555-796-3644",
"shippingCostTax": 234
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceOrderNumber: '#634C',
currency: 'USD',
policyCancelledAt: '2024-03-20T12:00:00.000Z',
originalSourceOrderId: '12345',
sourceCreatedAt: '2000-05-15T21:00:00.000Z',
sourceUpdatedAt: '2000-05-15T21:00:00.000Z',
sourceCancelledAt: '2000-05-15T21:00:00.000Z',
platformId: 'api',
premiumPaid: 1.5,
total: 15.4,
discountTotal: 1.2,
shippingCost: 3.5,
tax: 0.55,
subtotal: 11.3,
customerEmail: 'john@doe.com',
customerName: 'John',
customerPhone: '+1-555-796-3644',
shippingCostTax: 234
})
};
fetch('https://api.production.orderprotection.com/v1/orders/{sourceOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"message": "'sourceOrderId' is required",
"statusCode": 400
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "Not Found",
"error": "Not Found",
"statusCode": 404
}Update order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Order Number on your platform
"#634C"
Order currency
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARP, ARS, ARY, ATS, AUD, AWG, AYM, AZM, AZN, BAD, BAM, BBD, BDT, BEC, BEF, BEL, BGJ, BGK, BGL, BGN, BHD, BIF, BMD, BND, BOB, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHC, CHE, CHF, CHW, CLF, CLP, CNY, COP, COU, CRC, CSD, CSJ, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHP, GHS, GIP, GMD, GNE, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAJ, LAK, LBP, LKR, LRD, LSL, LSM, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MDL, MGA, MGF, MKD, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVQ, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEH, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROK, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGW, UGX, USD, USN, USS, UYI, UYN, UYP, UYU, UYW, UZS, VEB, VEF, VES, VNC, VND, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWC, ZWD, ZWL, ZWN, ZWR "USD"
Date when the policy was cancelled
"2024-03-20T12:00:00.000Z"
If this was a replacement for another Order, you can include the original order id here
"12345"
Creation date of the order on your platform
"2000-05-15T21:00:00.000Z"
Updated date of the order on your platform
"2000-05-15T21:00:00.000Z"
Cancellation date of the order on your platform
"2000-05-15T21:00:00.000Z"
Platform identifier
shopify, woocommerce, magento, bigcommerce, api "api"
Premium paid
1.5
Order total
15.4
Order discount
1.2
Order shipping cost
3.5
Order tax
0.55
Order subtotal
11.3
Customer email
"john@doe.com"
Customer name
"John"
Customer phone number
"+1-555-796-3644"
Tax associated with shipping
234
Response
The order has been successfully updated.
"ok"

